// 
// A quick example of using eps2pov for povray.
// it includes some text rendered from pdflatex
// and some standard postscript demo files.
//

global_settings { assumed_gamma 1.8 }

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"
#include "stones.inc"

#include "example.object"

#declare tiger_object_finish = finish { ambient 0.6 phong 1.0 };
#include "tiger.object"

#declare escher_object_finish = finish { ambient 0.6 phong 1.0 };
#include "escher.object"

////////////////////////////////////////
//
//   Lights, Camera ...
//
////////////////////////////////////////

//#declare ORTHO=1;

#ifdef(ORTHO)
camera {
   orthographic
   location  <0,0,-10>
   up        <0, 0, 150>
   right     <150, 0, 0>
   look_at   <0, 0, 0>
}
#else
camera {
   location  <0,0,-200>
   up        <0, 0, 1>
   right     <1, 0, 0>
   look_at   <0, 0, 0>
}
#end

light_source { <20.0, 45.0, -40.0> color White }
light_source { <-20.0, 20.0, -40.0> color White }
light_source { <60.0, 20.0, 60.0> color White }
light_source { <-60.0, 20.0, 60.0> color White }


////////////////////////////////////////
//
// Begin objects in scene
//
////////////////////////////////////////


object 
{ 
  example_object pigment { Red } finish { phong 1 ambient 0.5 }
  rotate -90*x
  rotate 180*y
  translate <310, -650, 0>
  scale <1,1,10>
  rotate 5*y
  rotate 5*x
}



object 
{ 
  tiger_object pigment { Blue } finish { phong 1 ambient 0.5 }
  rotate -90*x
  rotate 180*y
  translate <310, -690, 0>
  scale 0.1
  translate <40, 0, 0>
  scale <1,1,100>
  rotate 25*y
  rotate 25*x
}

object 
{ 
  escher_object pigment { Green } finish { phong 1 ambient 0.5 }
  rotate -90*x
  rotate 180*y
  translate <310, -690, 0>
  scale 0.1
  translate <-30, 10, 0>
  scale <1,1,100>
  rotate 25*y
  rotate -25*x
}


////////////////////////////////////////
//
// Begin background
//
////////////////////////////////////////

background { color rgb <0.2, 0.2, 0.3> }

